com.verisign.epp.codec.registry

## Class EPPRegistryServices

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryServices

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryServices
      extends java.lang.Object
      implements EPPCodecComponent

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPRegistryServices.EPPRegistryObjURI`
    `static class` | `EPPRegistryServices.EPPRegistryURI`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryServices()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObjURI(EPPRegistryServices.EPPRegistryObjURI uri)`
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)`
    `EPPRegistryServicesExt` | `getExtension()`
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.List` | `getObjURIs()`
    `void` | `setExtension(EPPRegistryServicesExt extension)`
    `void` | `setObjURIs(java.util.List objURIs)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryServices

          public EPPRegistryServices()

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Description copied from interface: `EPPCodecComponent`
      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM document used as a factory of DOM objects.
      Returns:
        instance root DOM element along with attribute child nodes.
      Throws:
        `EPPEncodeException` - Error encoding the DOM element tree.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Description copied from interface: `EPPCodecComponent`
      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - root DOM element associated with instance
      Throws:
        `EPPDecodeException` - Error decoding the DOM element tree.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Description copied from interface: `EPPCodecComponent`
      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getObjURIs

          public java.util.List getObjURIs()

    - #### setObjURIs

          public void setObjURIs(java.util.List objURIs)

    - #### addObjURI

          public void addObjURI(EPPRegistryServices.EPPRegistryObjURI uri)

    - #### getExtension

          public EPPRegistryServicesExt getExtension()

    - #### setExtension

          public void setExtension(EPPRegistryServicesExt extension)

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.